Bug 738954 - Generating omni.jar failed during building xulrunner
Summary: Generating omni.jar failed during building xulrunner
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xulrunner
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 06:35 UTC by Matěj Cepl
Modified: 2018-04-11 14:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-18 09:46:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 686434 None None None Never

Description Matěj Cepl 2011-09-16 06:35:13 UTC
Description of problem:
(pulled from the upstream bugzilla https://bugzilla.mozilla.org/show_bug.cgi?id=686434)

The final conclusion of that bug is:

In the build stage, rpath is set in the value of LDFLAGS. So if the xulrunner has been already installed at the rpath directory, newly generated binaries search libraries located at the rpath direcroty (old ones), not newly generated ones.

Comment 1 Martin Stransky 2011-10-18 09:46:03 UTC
Already fixed in xulrunner-7.0.1-2.


Note You need to log in before you can comment on or make changes to this bug.